package com.yidianling.home.constract

import com.yidianling.home.constants.IHomeBaseContract
import com.yidianling.home.model.bean.MeditationModuleBean
import com.yidianling.home.model.bean.MuseModuleBean
import io.reactivex.Observable

class IHomeContract {
    interface View : IHomeBaseContract.View {
        fun startAnim()

        fun endAnim()

        fun getSearchContent(): String
    }

    interface Presenter : IHomeBaseContract.Presenter<View>

    interface Model : IHomeBaseContract.Model {
        /**
         * 首页冥想请求
         */
        fun museRequest(): Observable<MuseModuleBean>

        fun getMeditation():Observable<MeditationModuleBean>
    }
}